/*-------------------------------------------------------------------------+
| Copyright 2019 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.rcp.help;

import static org.eclipse.jface.resource.ResourceLocator.imageDescriptorFromBundle;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * Activator class for AF3 RCP Help
 * 
 * @author barner
 */
public class AF3HelpActivator extends AbstractUIPlugin {

	/** The ID of this plug-in. */
	public static final String PLUGIN_ID = AF3HelpActivator.class.getPackage().getName(); // $NON-NLS-1$

	/** The shared instance. */
	private static AF3HelpActivator plugin;

	/** {@inheritDoc} */
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/** {@inheritDoc} */
	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/** Returns the shared instance. */
	public static AF3HelpActivator getDefault() {
		return plugin;
	}

	/** Returns an image descriptor for the image file at the given plug-in relative path. */
	public static ImageDescriptor getImageDescriptor(String path) {
		return imageDescriptorFromBundle(PLUGIN_ID, path).orElse(null);
	}
}
